DESCRIPTION = "Resolvconf is a framework for keeping track of the system's \
information about currently available nameservers. It sets \
itself up as the intermediary between programs that supply \
nameserver information and programs that need nameserver \
information."
SECTION = "console/network"
LICENSE = "GPL"
AUTHOR = "Thomas Hood"
HOMEPAGE = "http://packages.debian.org/resolvconf"
DEPENDS = "bash"
RDEPENDS = "bash"
PR = "r1"

SRC_URI = "${DEBIAN_MIRROR}/main/r/resolvconf/resolvconf_${PV}.tar.gz"

do_compile () {
	:
}

do_install () {
	install -d ${D}/${sysconfdir} ${D}/${sbindir} ${D}/sbin ${D}/var/run/resolvconf/interface
	install -d ${D}/${mandir}/man8 ${D}/${datadir}/doc/${P}
	cp -a etc/* ${D}/${sysconfdir}/
	install -m 0755 bin/resolvconf ${D}/sbin/
	install -m 0644 README ${D}/${datadir}/doc/${P}/
	install -m 0644 man/resolvconf.8 ${D}/${mandir}/man8/
}
